# IGListExperiment Enumeration Reference

# IGListExperiment

    enum IGListExperiment {}

Bitmask-able options used for pre-release feature testing.

- `IGListExperimentNone`

  Specifies no experiments.

  #### Declaration

  Objective-C

      IGListExperimentNone = 1 << 1

  Swift

      static var none: IGListExperiment { get }

- `IGListExperimentBackgroundDiffing`

  Test updater diffing performed on a background queue.

  #### Declaration

  Objective-C

      IGListExperimentBackgroundDiffing = 1 << 2

  Swift

      static var backgroundDiffing: IGListExperiment { get }

- `IGListExperimentReloadDataFallback`

  Test fallback to reloadData when too many update operations.

  #### Declaration

  Objective-C

      IGListExperimentReloadDataFallback = 1 << 3

  Swift

      static var reloadDataFallback: IGListExperiment { get }

- `IGListExperimentFasterVisibleSectionController`

  Test a faster way to return visible section controllers.

  #### Declaration

  Objective-C

      IGListExperimentFasterVisibleSectionController = 1 << 4

  Swift

      static var fasterVisibleSectionController: IGListExperiment { get }

- `IGListExperimentDedupeItemUpdates`

  Test deduping item-level updates.

  #### Declaration

  Objective-C

      IGListExperimentDedupeItemUpdates = 1 << 5

  Swift

      static var dedupeItemUpdates: IGListExperiment { get }

- `IGListExperimentDeferredToObjectCreation`

  Test deferring object creation until just before diffing.

  #### Declaration

  Objective-C

      IGListExperimentDeferredToObjectCreation = 1 << 6

  Swift

      static var deferredToObjectCreation: IGListExperiment { get }

© 2018 Instagram. All rights reserved. (Last updated: 2018-05-01)

Generated by jazzy ♪♫ v0.9.1, a Realm project.